package com.ruoyi.cxxm.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 任务巡查图片对象 task_check_image
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class TaskCheckImage extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 源文件名
     */
    @TableField(exist = false)
    private String originFileName;

    /**
     * 任务巡查记录id
     */
    @Excel(name = "任务巡查记录id")
    private Long tcId;


    /**
     * 经度
     */
    @Excel(name = "经度")
    private String jd;


    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String wd;


    /**
     * 拍摄方向
     */
    @Excel(name = "拍摄方向")
    private String psfx;


    /**
     * 存储路径
     */
    @Excel(name = "存储路径")
    private String cclj;


    /**
     * 提交人员id
     */
    @Excel(name = "提交人员id")
    private Long tjryId;


    /**
     * 上传时间
     */
    @Excel(name = "上传时间")
    private String scsj;
}

