package com.ruoyi.cxxm.service;

import java.util.List;
import com.ruoyi.cxxm.domain.Task;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cxxm.domain.Tbxx;
import org.springframework.transaction.annotation.Transactional;

/**
 * 任务Service接口
 *
 * @author ruoyi
 * @date 2024-03-28
 */
public interface ITaskService extends IService<Task>
{

    /**
     * 导入任务
     * @param tbxx
     * @return
     */
    public int importTaskByTbxx(Tbxx tbxx,String rwlx);

    /**
     * 根据taskIds删除任务和图斑信息
     * @param taskIds
     * @return
     */
    public int removeTaskAndTbxxByTaskIds(List<Long> taskIds);
}

