package com.ruoyi.web.controller.cxxm;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.domain.entity.SysDictType;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.cxxm.domain.TaskCheckAudit;
import com.ruoyi.cxxm.domain.vo.AppTypeVo;
import com.ruoyi.cxxm.mapper.AppTypeMapper;
import com.ruoyi.system.service.ISysDictDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/cxxm/app/type")
public class AppTypeController extends BaseController {

    @Autowired
    private AppTypeMapper appTypeMapper;

    @GetMapping("/list")
    public TableDataInfo list()
    {
        LambdaQueryWrapper<AppTypeVo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(AppTypeVo::getDictType,"task_lx");
        List<AppTypeVo> appTypeVos = appTypeMapper.selectList(queryWrapper);
        return getDataTable(appTypeVos);
    }
}
