package com.ruoyi.cxxm.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 任务巡查审核对象 task_check_audit
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class TaskCheckAudit extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 任务巡查记录id
     */
    @Excel(name = "任务巡查记录id")
    private Long tcId;


    /**
     * 审核结果
     */
    @Excel(name = "审核结果")
    private String shjg;

    /**
     * 审核说明
     */
    @Excel(name = "审核说明")
    private String shsm;


    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;


    /**
     * 审核人员id
     */
    @Excel(name = "审核人员id")
    private Long shryId;
}

