package com.ruoyi.cxxm.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

@Data
@TableName("sys_dict_data")
public class AppTypeVo {
    // 名称
    @TableField(value = "dict_label")
    private String name;
    // 图标地址
    @TableField(value = "remark")
    private String icon;
    // 颜色
    @TableField(value = "css_class")
    private String color;
    // 排序
    @TableField(value = "dict_sort")
    private Integer sort;
    // 类型
    @TableField(value = "dict_type")
    @JsonIgnore
    private String dictType;
    // 值
    @TableField(value = "dict_value")
    private String value;
}
