package com.ruoyi.cxxm.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.cxxm.domain.TaskCheckAudit;
import com.ruoyi.cxxm.domain.TaskCheckImage;
import com.ruoyi.cxxm.domain.TaskCheckVideo;
import lombok.Data;


import java.util.Date;
import java.util.List;

/**
 * 巡查记录
 */
@Data
public class TaskCheckLog {

    // 任务巡查记录id
    private Long tcId;
    // 任务id
    private Long taskId;
    // 整改情况
    private String zgqk;
    // 巡查人
    private String createBy;
    // 巡查时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date xcsj;
    // 备注
    private String remark;
    // 图片列表
    private List<TaskCheckImage> taskCheckImages;
    // 视频列表
    private List<TaskCheckVideo> taskCheckVideos;
    // 审核情况
    private TaskCheckAudit taskCheckAudit;
}
