package com.ruoyi.cxxm.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.cxxm.domain.Task;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 任务Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-28
 */
public interface TaskMapper extends BaseMapper<Task> {
    @DataScope(deptAlias = "task")
    List<Task> selectList(@Param("ew") Wrapper<Task> queryWrapper);

    /**
     * 设置tcId,xcsj和xcry_id字段为null
     */
    @Update("update task set tc_id=null,xcsj=null,xcry_id=null where id=#{id}")
    void setLastTcInfoFieldToNullById(Long id);
}

