import request from '@/utils/request'

// 查询任务填报详细
export function getTaskCheck(taskId) {
  return request({
    url: '/cxxm/taskCheck/' + taskId,
    method: 'get'
  })
}

// 任务填报信息审核
export function auditTaskCheck(data) {
  return request({
    url: '/cxxm/taskCheckAudit',
    method: 'post',
    data: data
  })
}

export function editAuditTaskCheck(data) {
  return request({
    url: '/cxxm/taskCheckAudit',
    method: 'put',
    data: data
  })
}
